def is_valid_cube(a1, a2, a3, a4, a5, a6):
    # Проверка условия правильного кубика: сумма противоположных сторон равна 7

    return a1 + a6 == 7 and a2 + a4 == 7 and a3 + a5 == 7


def main():
    # Считываем количество кубиков

    n = int(input())  # Количество наборов кубиков

    results = []  # Список для хранения результатов

    for _ in range(n):

        # Считываем шесть чисел для текущего кубика

        a1, a2, a3, a4, a5, a6 = map(int, input().split())

        # Проверяем, можно ли собрать правильный кубик

        if is_valid_cube(a1, a2, a3, a4, a5, a6):

            results.append("yes")

        else:

            results.append("no")

    # Выводим результаты, каждый на новой строке

    print("\n".join(results))


if __name__ == "__main__":
    main()