def is_valid_cube(a1, a2, a3, a4, a5, a6):
    # Проверка условия правильного кубика: сумма противоположных сторон равна 7
    return a1 + a3 == 13 and a2 + a4 == 13 and a5 + a6 == 13

def main():
    # Считываем количество кубиков
    n = int(input())  # Количество наборов кубиков
    for _ in range(n):
        # Считываем 6 чисел
        values = input().split()
        # Преобразуем в числа, игнорируя дроби (берём только числитель)
        values = [int(value.split("/")[0]) if "/" in value else int(value) for value in values]
        a1, a2, a3, a4, a5, a6 = values
        # Проверяем, можно ли собрать правильный кубик
        if is_valid_cube(a1, a2, a3, a4, a5, a6):
            print("yes")
        else:
            print("no")

if __name__ == "__main__":
    main()